# gst-plugins-base

This package contains a set of reference plugins, base classes for other plugins, and helper libraries.
This module is kept up-to-date together with the core developments.
Element writers should look at the elements in this module as a reference for their development.

This module contains elements for, among others:
* device plugins: x(v)imagesink, alsa, v4lsrc, cdparanoia
* containers: ogg
* codecs: vorbis, theora
* text: textoverlay, subparse
* sources: audiotestsrc, videotestsrc, gnomevfssrc
* network: tcp
* typefind
* audio processing: audioconvert, adder, audiorate, audioscale, volume
* visualisation: libvisual
* video processing: ffmpegcolorspace
* aggregate elements: decodebin, playbin

